# Re: Feature freeze for 1.0.3

From: Henning Meier-Geinitz (hmg-ml@gmx.de)
Date: Sat Jul 15 2000 - 16:07:57 PDT

- Next message: Petter Reinholdtsen: "Re: Feature freeze for 1.0.3"
  - Previous message: Henning Meier-Geinitz: "Re: Bugs and documentation"
  - In reply to: Petter Reinholdtsen: "Feature freeze for 1.0.3"
  - Next in thread: Henning Meier-Geinitz: "Re: Feature freeze for 1.0.3"
  - Next in thread: Petter Reinholdtsen: "Re: Feature freeze for 1.0.3"
  - Reply: Henning Meier-Geinitz: "Re: Feature freeze for 1.0.3"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi,

  On Thu, Jul 13, 2000 at 01:31:14PM +0800, Petter Reinholdtsen wrote:
  > It is time to declare feature freeze. This will last for ~two weeks
  > to give us some time to update the documentation and get rid of the
  > last few bugs. I hope I did not forget any patches or waiting
  > backends. If I did, please let me know.

  I am trying to compile SANE for all platforms I have access to. I don't
  have scanners on these computers so I can't test scanning.

  *** Linux 2.2 i386
  no problems but many warnings

  *** AIX 4.1.5 on IBM RS/6000 J40 gcc 2.8.1
  With gmake:
  gcc -c -g -O2 -W -Wall -DSCSIBUFFERSIZE=131072 -DHAVE_CONFIG_H -I. -I.
  -I../include -I../include -D_GNU_SOURCE
  -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
  -DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0
  -DBACKEND_NAME=plustek -DLIBDIR=/usr/local/lib/sane plustek.c -DPIC -o
  plustek.lo
  plustek.c:75: wait.h: No such file or directory
  gmake[1]: *** [plustek.lo] Error 1
  gmake[1]: Leaving directory /tmp/sane/backend'
  gmake: *** [all-recursive] Error 1
  *** IRIX Release 6.2 IP25 on SGI Power Onyx cc ?
  make stops with:
  cc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include -D_GNU_SOURCE
  -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
  -DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0 -g
  -DSCSIBUFFERSIZE=131072 sanei_pio.c -DPIC -o .libs/sanei_pio.lo
  cfe: Warning 596: ../include/sane/sanei_debug.h: 54: text following #endif
  violates the ANSI C standard.
  cfe: Error: /usr/include/sys/types.h, line 297: redeclaration of 'u_int8_t';
  previous declaration at line 24 in file '../include/sane/sanei_backend.h'
  typedef unsigned char u_int8_t ;
  ------- ------------- ^
  cfe: Error: /usr/include/sys/types.h, line 298: redeclaration of
  'u_int16_t'; previous declaration at line 28 in file
  '../include/sane/sanei_backend.h'
  typedef unsigned short u_int16_t ;
  ------- -------------- ^
  cfe: Error: /usr/include/sys/types.h, line 299: redeclaration of
  'u_int32_t'; previous declaration at line 32 in file
  '../include/sane/sanei_backend.h'
  typedef __uint32_t u_int32_t ;
  ------- ---------- ^
  gmake[1]: *** [sanei_pio.o] Error 1
  gmake[1]: Leaving directory /tmp/sane/sanei'
  gmake: *** [all-recursive] Error 1

  *** Sun Solaris 2.6 on Sun Ultra 10 gcc 2.95
  make stops with:
  [...]
  gcc -c -g -O2 -W -Wall -DSCSIBUFFERSIZE=131072 -DHAVE_CONFIG_H -I. -I.
  -I../include -I../include -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
  -DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0
  -DBACKEND_NAME=plustek -DLIBDIR=/usr/local/lib/sane plustek.c -fPIC -DPIC -o .libs/plustek.lo
  plustek.c:193: warning: missing initializer
  plustek.c:193: warning: (near initialization for dummy_dev.model')
  plustek.c: In function drvopen':
  plustek.c:218: warning: implicit declaration of function _IOW'
  plustek.c:218: parse error before unsigned'
  plustek.c:241: warning: implicit declaration of function _IOWR'
  plustek.c:241: parse error before int'
  plustek.c:242: warning: implicit declaration of function _IO'
  plustek.c: In function do_cancel':
  plustek.c:382: parse error before int'
  plustek.c: In function attach':
  plustek.c:625: warning: implicit declaration of function _IOR'
  plustek.c:625: parse error before ScannerCaps'
  plustek.c:632: parse error before LensInfo'
  plustek.c:606: warning: result' might be used uninitialized in this function
  plustek.c: In function sane_plustek_start':
  plustek.c:1216: parse error before ScannerCaps'
  plustek.c:1223: parse error before LensInfo'
  plustek.c:1294: parse error before CmdBlk'
  plustek.c:1301: parse error before CropInfo'
  plustek.c:1348: parse error before ScanInfo'
  plustek.c:1355: parse error before StartScan'
  plustek.c:1184: warning: result' might be used uninitialized in this function
  gmake[1]: *** [plustek.lo] Error 1
  gmake[1]: Leaving directory /tmp/sane/backend'
  gmake: *** [all-recursive] Error 1

  Sorry, I don't know much about these platforms but I can test any
  changes/updates.

  Bye,
  Henning

      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Petter Reinholdtsen: "Re: Feature freeze for 1.0.3"
  - Previous message: Henning Meier-Geinitz: "Re: Bugs and documentation"
  - In reply to: Petter Reinholdtsen: "Feature freeze for 1.0.3"
  - Next in thread: Henning Meier-Geinitz: "Re: Feature freeze for 1.0.3"
  - Next in thread: Petter Reinholdtsen: "Re: Feature freeze for 1.0.3"
  - Reply: Henning Meier-Geinitz: "Re: Feature freeze for 1.0.3"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Sat Jul 15 2000 - 16:19:01 PDT